Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Processes/CMD/PackageCognitionMotion.h File Reference

Definition of class PackageCognitionMotion. More...

`#include "Representations/Perception/LandmarksPercept.h"`
`#include "Representations/Cognition/LandmarksState.h"`
`#include "Representations/Cognition/RobotPose.h"`
`#include "Representations/Cognition/BallModel.h"`
`#include "Representations/Cognition/PlayerPoseCollection.h"`
`#include "Representations/Cognition/ObstaclesModel.h"`
`#include "Representations/Cognition/RobotState.h"`
`#include "Representations/Motion/MotionRequest.h"`
`#include "Representations/Motion/HeadControlMode.h"`
`#include "Representations/Motion/LEDRequest.h"`
`#include "Representations/Motion/OdometryData.h"`
`#include "Representations/Sound/SoundRequest.h"`
`#include "Tools/Player.h"`
`#include "Representations/RoboCup/GameControlData.h"`
`#include "Modules/WalkingEngine/InvKinWalkingParameterSets.h"`
`#include "Modules/WalkingEngine/GT2004ParameterSet.h"`
`#include "Modules/WalkingEngine/GT2005Parameters.h"`
`#include "Tools/Debugging/Watchdog.h"`

Include dependency graph for PackageCognitionMotion.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | PackageCognitionMotion
| Contains all data that are sent from the Cognition process to the Motion process in the CMD process layout. More...
## Functions
In & | operator>> (In &stream, PackageCognitionMotion &packageCognitionMotion)
| Streaming operator that reads a PackageCognitionMotion from a stream.
Out & | operator<< (Out &stream, const PackageCognitionMotion &packageCognitionMotion)
| Streaming operator that writes a PackageCognitionMotion to a stream.

## Detailed Description

Definition of class PackageCognitionMotion.

Author:
  Matthias Jüngel

Definition in file PackageCognitionMotion.h.

## Function Documentation

In& operator>> | ( | In & | stream,
|  | PackageCognitionMotion & | packageCognitionMotion
| ) |

  | Streaming operator that reads a PackageCognitionMotion from a stream. Parameters:
  stream | The stream from which is read.
  packageCognitionMotion | The PackageCognitionMotion object.
Returns: The stream. Definition at line 21 of file PackageCognitionMotion.cpp. References PackageCognitionMotion::ballModel, GameControlData::data, PackageCognitionMotion::gameControlData, PackageCognitionMotion::gt2004WalkingParameters, PackageCognitionMotion::gt2005Parameters, PackageCognitionMotion::headControlMode, PackageCognitionMotion::invKinWalkingParameters, PackageCognitionMotion::landmarksPercept, PackageCognitionMotion::landmarksState, PackageCognitionMotion::ledRequest, PackageCognitionMotion::motionRequest, PackageCognitionMotion::obstaclesModel, PackageCognitionMotion::playerPoseCollection, In::read(), PackageCognitionMotion::robotPose, PackageCognitionMotion::robotState, PackageCognitionMotion::soundRequest, PackageCognitionMotion::teamColor, GameControlData::timeStamp, PackageCognitionMotion::timeStamp, PackageCognitionMotion::walkParameterTimeStamp, PackageCognitionMotion::watchdog, watchdog, and PackageCognitionMotion::wLanStatus.

Here is the call graph for this function:

Out& operator<< | ( | Out & | stream,
|  | const PackageCognitionMotion & | packageCognitionMotion
| ) |

  | Streaming operator that writes a PackageCognitionMotion to a stream. Parameters:
  stream | The stream to write on.
  packageCognitionMotion | The PackageCognitionMotion object.
Returns: The stream. Definition at line 54 of file PackageCognitionMotion.cpp. References PackageCognitionMotion::ballModel, GameControlData::data, PackageCognitionMotion::gameControlData, PackageCognitionMotion::gt2004WalkingParameters, PackageCognitionMotion::gt2005Parameters, PackageCognitionMotion::headControlMode, PackageCognitionMotion::invKinWalkingParameters, PackageCognitionMotion::landmarksPercept, PackageCognitionMotion::landmarksState, PackageCognitionMotion::ledRequest, PackageCognitionMotion::motionRequest, PackageCognitionMotion::obstaclesModel, PackageCognitionMotion::playerPoseCollection, PackageCognitionMotion::robotPose, PackageCognitionMotion::robotState, PackageCognitionMotion::soundRequest, PackageCognitionMotion::teamColor, GameControlData::timeStamp, PackageCognitionMotion::timeStamp, PackageCognitionMotion::walkParameterTimeStamp, PackageCognitionMotion::watchdog, PackageCognitionMotion::wLanStatus, and Out::write().

Here is the call graph for this function: